<?php

namespace Drp\ProjectHelpers\Tests\Concerns;

use Drp\ProjectHelpers\Tests\Handler;
use Illuminate\Contracts\Debug\ExceptionHandler;

trait InteractsWithExceptions
{
    /**
     * @return $this
     */
    protected function withoutExceptionHandling()
    {
        $handler = new Handler(true);
        $this->app->instance(ExceptionHandler::class, $handler);

        return $this;
    }
}
